Page MenuHomePhabricator

Expose Commons Dataset meta fields to graphs
Closed, ResolvedPublic

Description

Vega 2.x does not support non-array data objects, so it is not possible to access license and sources fields from the structured data inside the graph itself.

As a workaround, until Vega 3.x is available, non-array fields will need to be wrapped into a single value array, e.g.

"meta": [{
    "description": "...",
    "license_code": "...",
    "license_text": "...",
    "license_url": "...",
    "sources": "...",

    // These are for maps only:
    "zoom": "...",
    "latitude": "...",
    "longitude": "..."
}]

Event Timeline

Yurik created this task.Dec 20 2016, 2:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2016, 2:59 AM

Change 328328 had a related patch set uploaded (by Yurik):
Bumped shared lib - map: protocol support

https://gerrit.wikimedia.org/r/328328

Yurik moved this task from Backlog to Needs review on the Maps-Sprint board.Dec 20 2016, 3:31 AM
iecetcwcpggwqpgciazwvzpfjpwomjxn renamed this task from Expose structured data meta fields to graphs to Expose Commons Dataset meta fields to graphs.Dec 23 2016, 12:41 AM

Change 330277 had a related patch set uploaded (by Yurik):
Bumped shared lib - map: protocol support

https://gerrit.wikimedia.org/r/330277

Change 328328 merged by jenkins-bot:
Bumped shared lib - map: protocol support

https://gerrit.wikimedia.org/r/328328

Change 330277 merged by jenkins-bot:
Bumped shared lib - map: protocol support

https://gerrit.wikimedia.org/r/330277

Yurik moved this task from Needs review to Done on the Maps-Sprint board.Jan 3 2017, 11:10 PM
Yurik closed this task as Resolved.Apr 18 2017, 4:01 AM
Yurik claimed this task.

was done a while ago